#' FixSeqMTP : Tools for Fixed Sequence Multiple Testing Procedures
#'
#' The FixSeqMTP package provides three categories of functions for generalized/directional fixed sequence mutliple testing procedures:
#'@section FWER controlling procedures:
#'
#'    \code{\link{FSFWER.arbidept.p.adjust}} and  \code{\link{FSFWER.arbidept.cv}}
#'
#'@section FDR controlling procedures:
#'
#'    \code{\link{FSFDR.arbidept.p.adjust}} and  \code{\link{FSFDR.arbidept.cv}}
#'
#'    \code{\link{FSFDR.indept.p.adjust}} and  \code{\link{FSFDR.indept.cv}}
#'
#'@section mdFWER controlling procedures:
#'
#'    \code{\link{FSmdFWER.arbidept.p.adjust}} and  \code{\link{FSmdFWER.arbidept.cv}}
#'
#'    \code{\link{FSmdFWER.indept.p.adjust}} and  \code{\link{FSmdFWER.indept.cv}}
#'
#'@author Yalin Zhu, Wenge Guo
#'@references
#'   Qiu, Z., Guo, W., & Lynch, G. (2015).
#'   On generalized fixed sequence procedures for controlling the FWER.
#'   \emph{Statistics in medicine}, 34(30), 3968-3983.
#'
#'  Lynch, G., Guo, W., Sarkar, S. K., & Finner, H. (2016).
#'  The Control of the False Discovery Rate in Fixed Sequence Multiple Testing.
#'  \emph{arXiv preprint} arXiv:1611.03146.
#'
#'  Grandhi, A., Guo, W., & Romano, J. P. (2016).
#'  Control of Directional Errors in Fixed Sequence Multiple Testing.
#'  \emph{arXiv preprint} arXiv:1602.02345.
#'
#'@docType package
#'@name FixSeqMTP
NULL
